umbrello: AssocRules::Assoc_Rule Class Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
AssocRules::Assoc_Rule Class Reference

## Public Member Functions
bool | isValid () const
| < Structure to help determine association rules.

## Public Attributes
Language | language
| language rule applies to
Uml::AssociationType::Enum | assoc_type
| association type
WidgetBase::WidgetType | widgetA_type
| type of role A widget
WidgetBase::WidgetType | widgetB_type
| type of role B widget
bool | role
| role text
bool | multiplicity
| multiplicity text on association
bool | bidirectional
| can have an association of same type going between widget each way
bool | self
| association to self
Level | level
| UML level.

## Member Function Documentation

## ◆ isValid()

bool AssocRules::Assoc_Rule::isValid | ( |  | ) | const

< Structure to help determine association rules.

## Member Data Documentation

## ◆ assoc_type

Uml::AssociationType::Enum AssocRules::Assoc_Rule::assoc_type

association type

## ◆ bidirectional

bool AssocRules::Assoc_Rule::bidirectional

can have an association of same type going between widget each way

## ◆ language

Language AssocRules::Assoc_Rule::language

language rule applies to

## ◆ level

Level AssocRules::Assoc_Rule::level

UML level.

## ◆ multiplicity

bool AssocRules::Assoc_Rule::multiplicity

multiplicity text on association

## ◆ role

bool AssocRules::Assoc_Rule::role

role text

## ◆ self

bool AssocRules::Assoc_Rule::self

association to self

## ◆ widgetA_type

WidgetBase::WidgetType AssocRules::Assoc_Rule::widgetA_type

type of role A widget

## ◆ widgetB_type

WidgetBase::WidgetType AssocRules::Assoc_Rule::widgetB_type

type of role B widget

The documentation for this class was generated from the following files:

- umbrello/assocrules.h
- umbrello/assocrules.cpp